Return Schedule Pickup API:
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/return_schedule_pickup |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/return_schedule_pickup' \
--header 'rapidshyp-token: ************7' \
--header 'Content-Type: application/json' \
--data '{
"shipment_id":"1111111111",
"courier_code":""
}'
| Request Parameters | Required | Remark | Validation |
|---|---|---|---|
| shipment_id | Mandatory | Order shipmentID on channel/store/website | Should belong to a valid order. |
| courier_code | Mandatory | courier code of the courier that needs to be assigned | Should belong to a valid courier. |
Response:
JSON
{
"status": "SUCCESS",
"remarks": "SUCCESS",
"shipmentId": "1111111111",
"orderId": "1111111111",
"awb": "11111111111",
"courierCode": "2001",
"courierName": "BlueDart Express Reverse",
"parentCourierName": "BlueDart",
"routingCode": "DEL/ANT/ANT",
"rtoRoutingCode": "DEL/ANT/ANT"
}